#include<iostream>
using namespace std;
int main()
{
    long long A,B,C,D,E,sbor=0;
    cin>>A>>B>>C>>D>>E;
    E=E*E*E;
    sbor=(A*A*A)+(B*B*B)+(C*C*C)+(D*D*D);
    if(sbor<=E)
    {
        cout<<"1";
        return 0;
    }
    else
    {
        if(sbor<E)
        {
            for(int i=2; i<100000; i++)
            {
                sbor=sbor*i;
                if(sbor>=E)
                {
                    cout<<i;
                    return 0;
                }
                sbor=sbor/i;
            }
        }
    }
    return 0;
}
